Analisi FEM

From FreeCAD Documentation
Revision as of 09:19, 4 March 2018 by Renatorivo (talk | contribs) (Created page with "# Premere il pulsante {{KEY|24px Analisi}}, oppure i tasti {{KEY|N}} e {{KEY|A}}. Viene creata e attivata una nuova Analisi. # N...")
Jump to navigation Jump to search

FEM Analysis.png Analisi FEM

Posizione nel menu
Modello → Contenitore analisi
Ambiente
FEM
Avvio veloce
N,A
Introdotto nella versione
-
Vedere anche
Tutorial FEM


Descrizione

Analisi FEM può essere visto come il contenitore di tutti gli oggetti di una Analisi agli elementi finiti. È obbligatorio avere un contenitore Analisi che contenga tutti gli oggetti necessari. Per poter eseguire un'analisi meccanica serve almeno uno dei seguenti oggetti:


Uso

  1. Premere il pulsante FEM Analysis.png Analisi, oppure i tasti N e A. Viene creata e attivata una nuova Analisi.
  2. Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
  3. Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.
  1. Premere il pulsante FEM Analysis.png Analisi, oppure i tasti N e A. Viene creata e attivata una nuova Analisi.
  2. Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
  3. Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.


Opzioni

  • Per ora non ci sono opzioni.
  • L'analisi in frequenza è in sviluppo. Vedere [1] per maggiori informazioni.
  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [2] for more informations.


Proprietà

  • DataOutpuDir: Specifica la directory di lavoro di Analisi
  • DataOutpuDir: Specifies the working directory of the analysis


Script

La maggior parte di questo codice è deprecato nella versione 0.17.

  • nuova analisi

most code here is depreciated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • aggiungere un oggetto all'analisi
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • rimuovere un oggetto dall'analisi
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member


Esempio:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member


Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский